// Copyright (C) 2002 H.Okada(suigyodo) All rights reserved.

#ifndef PTNEDITDIALOG_H
#define PTNEDITDIALOG_H

#include <qvariant.h>
#include <qdialog.h>
class QMultiLineEdit;
//class QLabel;
class QPushButton;
class QStatusBar;
class QHBoxLayout; 
class QVBoxLayout; 
//class QGridLayout; 
//class QLabel;
//class QPushButton;
class QToolButton;
class SPtnEditView;
//class QButtonGroup;



class ptneditDialog : public QDialog
{ 
    Q_OBJECT



public:
    ptneditDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = WType_TopLevel );
    ~ptneditDialog();

	SPtnEditView* m_pPtnEditView;

protected:
	void resizeEvent ( QResizeEvent * );
	void setChildSize();
	void setToolState();

protected:
	int m_nTool;

	
	//QMenuBar* menuBar;
	QStatusBar* statusBar;
//    QButton* btnToolSelect;
//    QButton* btnToolFreehand;
//    QButton* btnToolLine;
//    QButton* btnToolCircle;
    QToolButton* btnToolSelect;
    QToolButton* btnToolFreehand;
    QToolButton* btnToolLine;
    QToolButton* btnToolCircle;
	
	QToolButton* btnToolCopy;
    QToolButton* btnToolCut;
    QToolButton* btnToolDel;
    QToolButton* btnToolPaste;
    QToolButton* btnToolMirr;
    QToolButton* btnToolRot;
    QToolButton* btnToolZo;
	QToolButton* btnToolZi;
	
	QPushButton* buttonOk;
	
	QHBoxLayout*	toolBtnLayout;
	QHBoxLayout*	dlgBtnLayout;
	QVBoxLayout*	vLayout;
	QWidget*		toolBtnLayoutWidget;
//	QButtonGroup*	toolBtnGroup;

	int m_nMenuIdEditCut;
	int m_nMenuIdEditCopy;
	int m_nMenuIdEditPaste;
	int m_nMenuIdEditDelete;

	int m_nMenuIdEditMirror;
	int m_nMenuIdEditRotate;

	int m_nMenuIdViewZoomIn;
	int m_nMenuIdViewZoomOut;

	int m_nMenuIdToolSelect;
	int m_nMenuIdToolFreehand;
	int m_nMenuIdToolLine;
	int m_nMenuIdToolCircle;



protected slots:
	//void reject();
	//MENU
	//FILE
	void importImage();		//᡼Υݡ
    void exportImage();		//᡼Υݡ
	//EDIT
	void EditCut();			//å
	void EditCopy();		//ԡ
	void EditPaste();		//ڡ
	void EditDelete();		//
	void EditMirror();		//ȿž
	void EditRotate();		//ž
	//VIEW
	void ViewZoomIn();		//ɽ
	void ViewZoomOut();		//ɽ̾
	//TOOL
	void ToolSelector();	//ġ
	void ToolFreehand();	//ե꡼ϥɥġ
	void ToolLine();		//ġ
	void ToolCircle();		//ߥġ

};

#endif // PTNEDITDIALOG_H
