#ifndef COMPATTRB_H
#define COMPATTRB_H
#include "compattrb.h"


class compattrb : public compattrbBase
{ 
    Q_OBJECT

public:
    compattrb( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~compattrb();

	int exec();

	QString name(){return m_name;}
	QString ref(){return m_ref;}
	int		width(){return m_width;}
	int		height(){return m_height;}
	bool	usePattern(){return m_usepattern;}
	int		block(){return m_block;}

	void setName(const QString& name){m_name = name;}
	void setRef(const QString& ref){m_ref = ref;}
	void setBlock(int block);
	void setWidth(int width);
	void setHeight(int height);
	void setUsePattern(bool usepattern){m_usepattern = usepattern;}

protected  slots:
	void accept();


protected:
	QString m_name;
	QString m_ref;
	int		m_block;
	int		m_width;
	int		m_height;
	bool	m_usepattern;
};

#endif // COMPATTRB_H
